import mysql.simplesql as sql


def insertCatalogRestrict(catalogrestrict):
    yield sql.Insert(table='catalogrestrict', values={
        'catalogid': catalogrestrict.get('catalogid', None),
        'deptcode': catalogrestrict.get('deptcode', None),
        'restrictid': catalogrestrict.get('restrictid', None)
    })


def deleteCatalogRestrict(catalogrestrict):
    yield sql.Delete(table='catalogrestrict',
            whereFields=['catalogid', 'deptcode', 'restrictid'],
            whereValues=[catalogrestrict.get('catalogid', None),
                catalogrestrict.get('deptcode', None),
                catalogrestrict.get('restrictid', None)])


def clearCatalogRestrict():
    yield sql.DeleteAll(table='catalogrestrict')
