import mysql.simplesql as sql

tables = ['changeCardAccount']


def insertChangeCardAccount(changeCardAccount):
    yield sql.Insert(table='changeCardAccount', values={
        'cardNumber': changeCardAccount.get('cardnumber', None),
        'cardStatus': changeCardAccount.get('cardstatus', None),
        'accountNumber': changeCardAccount.get('accountnumber', None),
        'additionalStatus': changeCardAccount.get('additionalstatus', None),
        'serverId': changeCardAccount.get('serverid', None)
    })


def clearChangeCardAccount():
    yield sql.DeleteAll(table='changeCardAccount')


def deleteChangeCardAccount(changeCardAccount):
    yield sql.Delete(table='changeCardAccount', whereFields=['cardNumber'],
            whereValues=[changeCardAccount.get('cardnumber', None)])


def deleteChangeCardAccountById(cardNumber):
    yield sql.Delete(table='changeCardAccount', whereFields=['cardNumber'], whereValues=[cardNumber])
