import mysql.simplesql as sql


def insertMedicine(medicine):
    yield sql.Insert(table='medicine', values={
        'code': medicine.get('code', None),
        'barcode': medicine.get('barcode', None),
        'price': medicine.get('price', None),
        'party': medicine.get('party', None),
        'series': medicine.get('series', None),
        'shelflife': medicine.get('shelflife', None),
        'producer': medicine.get('producer', None),
        'inn': medicine.get('inn', None),
        'remainquant': medicine.get('remainquant', None),
        'remaindatetime': medicine.get('remaindatetime', None),
        'countrycode': medicine.get('countrycode', None),
        'options': medicine.get('options', None),
        'packingprice': medicine.get('packingprice', None),
        'cquant': medicine.get('cquant', None),
        'packquant': medicine.get('packquant', None),
        'supplydate': medicine.get('supplydate', None),
        'rating': medicine.get('rating', None),
        'bonusonsale': medicine.get('bonusonsale', None),
        'row': medicine.get('row', None),
        'shelf': medicine.get('shelf', None)
    })


def clearMedicine():
    yield sql.DeleteAll(table='medicine')


def deleteMedicine(medicine):
    code = medicine.get('code', None)
    if code:
        yield sql.Delete(table='medicine', whereFields=['code'], whereValues=[code])


def deleteMedicineByCode(code):
    yield sql.Delete(table='medicine', whereFields=['code'], whereValues=[code])
